# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Gtk2/TestHelper.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Gtk2-Ex-CalendarButton
Version:        0.01
Release:        alt1_16
Summary:        Gtk2::Ex::CalendarButton Perl module
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Gtk2-Ex-CalendarButton/
Source0:        http://www.cpan.org/authors/id/O/OF/OFEYAIKON/Gtk2-Ex-CalendarButton-%{version}.tar.gz
BuildArch:      noarch

# core
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/More.pm)
# cpan
BuildRequires:  perl(Glib.pm)
BuildRequires:  perl(Gtk2.pm)
Source44: import.info
# test

%description
I realized that I was constantly re-creating a simple widget that will pop-up
and Gtk2::Calendar when clicked. Just like the datetime display on your
desktop taskbar. This package is my attempt to extract the portion of code
required to create a button-click-calender.

%prep
%setup -q -n Gtk2-Ex-CalendarButton-%{version}

#find t/ -type f -exec perl -pi -e 's|\r||' {} +
find t/ -type f -exec perl -pi -e 's|\r||; s|^#!perl|#!/usr/bin/perl|' {} +

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
%{?_with_display_tests: make test }

%files
%doc Changes README t/
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_16
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_15
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_13
- fc import

